@import 'defaults.scss';

m-modal-signup,
m-modal-signup-on-action {
  z-index: 1000;

  m-modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 101;
  }

  .m-modal-container {
    max-width: 368px;
    min-width: 0;
  }

  .mdl-card__title {
    flex-wrap: wrap;
    margin-bottom: 0;

    img {
      width: 168px;
      margin: auto;
    }
    h4 {
      width: 100%;
      font-size: 14px;
      margin: 0;
      text-align: center;
      font-weight: 600;
      letter-spacing: 2px;
    }
  }

  .m-signup-modal-feature-icons {
    display: flex;
    flex-flow: row nowrap;
    align-items: center;

    > div {
      text-align: center;
      flex: 1;
      i {
        width: 100%;
        font-size: 42px;
      }
      span {
        width: 100%;
        display: block;
        font-size: 9px;
        text-transform: uppercase;
      }
    }
  }

  .m-signup-modal-feature-text {
    padding: 0px 8px;
    margin: 0px 8px;
  }

  .m-signup-buttons {
    display: flex;
    align-items: baseline;
    justify-content: center;
    flex-flow: row nowrap;
    width: 100%;
    box-sizing: border-box;

    & > button {
      margin-left: $minds-padding;
    }
  }

  .m-modal-signup-apps {
    display: flex;
    flex-flow: row nowrap;
    align-items: center;
    width: 100%;
    box-sizing: border-box;
    padding: 0 40px;
    @media screen and (max-width: $max-mobile) {
      display: flex;
      flex-wrap: wrap;
      justify-content: center;
      padding: 0 30px;
    }

    .m-androidApp__download {
      margin: 0;
    }

    a {
      @media screen and (min-width: $max-mobile) {
        flex: 1;
      }
      margin: $minds-margin/2;

      img {
        min-width: 130px;
      }
    }
  }

  .m-modal-signup-skip {
    cursor: pointer;
  }
}
